Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network153.2.64.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
153.2.64.0
Broadcast address
153.2.79.255
First usable
153.2.64.1
Last usable
153.2.79.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex 99024000 · Integer 2567061504 to 2567065599
Reverse DNS zones
64.2.153.in-addr.arpa
65.2.153.in-addr.arpa
66.2.153.in-addr.arpa
67.2.153.in-addr.arpa
68.2.153.in-addr.arpa
69.2.153.in-addr.arpa
70.2.153.in-addr.arpa
71.2.153.in-addr.arpa
72.2.153.in-addr.arpa
73.2.153.in-addr.arpa
74.2.153.in-addr.arpa
75.2.153.in-addr.arpa
76.2.153.in-addr.arpa
77.2.153.in-addr.arpa
78.2.153.in-addr.arpa
79.2.153.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011001.00000010.01000000.00000000153.2.64.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10011001.00000010.01000000.00000000153.2.64.0
Broadcast10011001.00000010.01001111.11111111153.2.79.255
Split into smaller subnets/32

153.2.64.0/20 makes 4,096 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1153.2.64.0/32153.2.64.0 to 153.2.64.0—1
2153.2.64.1/32153.2.64.1 to 153.2.64.1—1
3153.2.64.2/32153.2.64.2 to 153.2.64.2—1
4153.2.64.3/32153.2.64.3 to 153.2.64.3—1
5153.2.64.4/32153.2.64.4 to 153.2.64.4—1
6153.2.64.5/32153.2.64.5 to 153.2.64.5—1
7153.2.64.6/32153.2.64.6 to 153.2.64.6—1
8153.2.64.7/32153.2.64.7 to 153.2.64.7—1
9153.2.64.8/32153.2.64.8 to 153.2.64.8—1
10153.2.64.9/32153.2.64.9 to 153.2.64.9—1
11153.2.64.10/32153.2.64.10 to 153.2.64.10—1
12153.2.64.11/32153.2.64.11 to 153.2.64.11—1
13153.2.64.12/32153.2.64.12 to 153.2.64.12—1
14153.2.64.13/32153.2.64.13 to 153.2.64.13—1
15153.2.64.14/32153.2.64.14 to 153.2.64.14—1
16153.2.64.15/32153.2.64.15 to 153.2.64.15—1
17153.2.64.16/32153.2.64.16 to 153.2.64.16—1
18153.2.64.17/32153.2.64.17 to 153.2.64.17—1
19153.2.64.18/32153.2.64.18 to 153.2.64.18—1
20153.2.64.19/32153.2.64.19 to 153.2.64.19—1
21153.2.64.20/32153.2.64.20 to 153.2.64.20—1
22153.2.64.21/32153.2.64.21 to 153.2.64.21—1
23153.2.64.22/32153.2.64.22 to 153.2.64.22—1
24153.2.64.23/32153.2.64.23 to 153.2.64.23—1
25153.2.64.24/32153.2.64.24 to 153.2.64.24—1
26153.2.64.25/32153.2.64.25 to 153.2.64.25—1
27153.2.64.26/32153.2.64.26 to 153.2.64.26—1
28153.2.64.27/32153.2.64.27 to 153.2.64.27—1
29153.2.64.28/32153.2.64.28 to 153.2.64.28—1
30153.2.64.29/32153.2.64.29 to 153.2.64.29—1
31153.2.64.30/32153.2.64.30 to 153.2.64.30—1
32153.2.64.31/32153.2.64.31 to 153.2.64.31—1
33153.2.64.32/32153.2.64.32 to 153.2.64.32—1
34153.2.64.33/32153.2.64.33 to 153.2.64.33—1
35153.2.64.34/32153.2.64.34 to 153.2.64.34—1
36153.2.64.35/32153.2.64.35 to 153.2.64.35—1
37153.2.64.36/32153.2.64.36 to 153.2.64.36—1
38153.2.64.37/32153.2.64.37 to 153.2.64.37—1
39153.2.64.38/32153.2.64.38 to 153.2.64.38—1
40153.2.64.39/32153.2.64.39 to 153.2.64.39—1
41153.2.64.40/32153.2.64.40 to 153.2.64.40—1
42153.2.64.41/32153.2.64.41 to 153.2.64.41—1
43153.2.64.42/32153.2.64.42 to 153.2.64.42—1
44153.2.64.43/32153.2.64.43 to 153.2.64.43—1
45153.2.64.44/32153.2.64.44 to 153.2.64.44—1
46153.2.64.45/32153.2.64.45 to 153.2.64.45—1
47153.2.64.46/32153.2.64.46 to 153.2.64.46—1
48153.2.64.47/32153.2.64.47 to 153.2.64.47—1
49153.2.64.48/32153.2.64.48 to 153.2.64.48—1
50153.2.64.49/32153.2.64.49 to 153.2.64.49—1
51153.2.64.50/32153.2.64.50 to 153.2.64.50—1
52153.2.64.51/32153.2.64.51 to 153.2.64.51—1
53153.2.64.52/32153.2.64.52 to 153.2.64.52—1
54153.2.64.53/32153.2.64.53 to 153.2.64.53—1
55153.2.64.54/32153.2.64.54 to 153.2.64.54—1
56153.2.64.55/32153.2.64.55 to 153.2.64.55—1
57153.2.64.56/32153.2.64.56 to 153.2.64.56—1
58153.2.64.57/32153.2.64.57 to 153.2.64.57—1
59153.2.64.58/32153.2.64.58 to 153.2.64.58—1
60153.2.64.59/32153.2.64.59 to 153.2.64.59—1
61153.2.64.60/32153.2.64.60 to 153.2.64.60—1
62153.2.64.61/32153.2.64.61 to 153.2.64.61—1
63153.2.64.62/32153.2.64.62 to 153.2.64.62—1
64153.2.64.63/32153.2.64.63 to 153.2.64.63—1
65153.2.64.64/32153.2.64.64 to 153.2.64.64—1
66153.2.64.65/32153.2.64.65 to 153.2.64.65—1
67153.2.64.66/32153.2.64.66 to 153.2.64.66—1
68153.2.64.67/32153.2.64.67 to 153.2.64.67—1
69153.2.64.68/32153.2.64.68 to 153.2.64.68—1
70153.2.64.69/32153.2.64.69 to 153.2.64.69—1
71153.2.64.70/32153.2.64.70 to 153.2.64.70—1
72153.2.64.71/32153.2.64.71 to 153.2.64.71—1
73153.2.64.72/32153.2.64.72 to 153.2.64.72—1
74153.2.64.73/32153.2.64.73 to 153.2.64.73—1
75153.2.64.74/32153.2.64.74 to 153.2.64.74—1
76153.2.64.75/32153.2.64.75 to 153.2.64.75—1
77153.2.64.76/32153.2.64.76 to 153.2.64.76—1
78153.2.64.77/32153.2.64.77 to 153.2.64.77—1
79153.2.64.78/32153.2.64.78 to 153.2.64.78—1
80153.2.64.79/32153.2.64.79 to 153.2.64.79—1
81153.2.64.80/32153.2.64.80 to 153.2.64.80—1
82153.2.64.81/32153.2.64.81 to 153.2.64.81—1
83153.2.64.82/32153.2.64.82 to 153.2.64.82—1
84153.2.64.83/32153.2.64.83 to 153.2.64.83—1
85153.2.64.84/32153.2.64.84 to 153.2.64.84—1
86153.2.64.85/32153.2.64.85 to 153.2.64.85—1
87153.2.64.86/32153.2.64.86 to 153.2.64.86—1
88153.2.64.87/32153.2.64.87 to 153.2.64.87—1
89153.2.64.88/32153.2.64.88 to 153.2.64.88—1
90153.2.64.89/32153.2.64.89 to 153.2.64.89—1
91153.2.64.90/32153.2.64.90 to 153.2.64.90—1
92153.2.64.91/32153.2.64.91 to 153.2.64.91—1
93153.2.64.92/32153.2.64.92 to 153.2.64.92—1
94153.2.64.93/32153.2.64.93 to 153.2.64.93—1
95153.2.64.94/32153.2.64.94 to 153.2.64.94—1
96153.2.64.95/32153.2.64.95 to 153.2.64.95—1
97153.2.64.96/32153.2.64.96 to 153.2.64.96—1
98153.2.64.97/32153.2.64.97 to 153.2.64.97—1
99153.2.64.98/32153.2.64.98 to 153.2.64.98—1
100153.2.64.99/32153.2.64.99 to 153.2.64.99—1
101153.2.64.100/32153.2.64.100 to 153.2.64.100—1
102153.2.64.101/32153.2.64.101 to 153.2.64.101—1
103153.2.64.102/32153.2.64.102 to 153.2.64.102—1
104153.2.64.103/32153.2.64.103 to 153.2.64.103—1
105153.2.64.104/32153.2.64.104 to 153.2.64.104—1
106153.2.64.105/32153.2.64.105 to 153.2.64.105—1
107153.2.64.106/32153.2.64.106 to 153.2.64.106—1
108153.2.64.107/32153.2.64.107 to 153.2.64.107—1
109153.2.64.108/32153.2.64.108 to 153.2.64.108—1
110153.2.64.109/32153.2.64.109 to 153.2.64.109—1
111153.2.64.110/32153.2.64.110 to 153.2.64.110—1
112153.2.64.111/32153.2.64.111 to 153.2.64.111—1
113153.2.64.112/32153.2.64.112 to 153.2.64.112—1
114153.2.64.113/32153.2.64.113 to 153.2.64.113—1
115153.2.64.114/32153.2.64.114 to 153.2.64.114—1
116153.2.64.115/32153.2.64.115 to 153.2.64.115—1
117153.2.64.116/32153.2.64.116 to 153.2.64.116—1
118153.2.64.117/32153.2.64.117 to 153.2.64.117—1
119153.2.64.118/32153.2.64.118 to 153.2.64.118—1
120153.2.64.119/32153.2.64.119 to 153.2.64.119—1
121153.2.64.120/32153.2.64.120 to 153.2.64.120—1
122153.2.64.121/32153.2.64.121 to 153.2.64.121—1
123153.2.64.122/32153.2.64.122 to 153.2.64.122—1
124153.2.64.123/32153.2.64.123 to 153.2.64.123—1
125153.2.64.124/32153.2.64.124 to 153.2.64.124—1
126153.2.64.125/32153.2.64.125 to 153.2.64.125—1
127153.2.64.126/32153.2.64.126 to 153.2.64.126—1
128153.2.64.127/32153.2.64.127 to 153.2.64.127—1
129153.2.64.128/32153.2.64.128 to 153.2.64.128—1
130153.2.64.129/32153.2.64.129 to 153.2.64.129—1
131153.2.64.130/32153.2.64.130 to 153.2.64.130—1
132153.2.64.131/32153.2.64.131 to 153.2.64.131—1
133153.2.64.132/32153.2.64.132 to 153.2.64.132—1
134153.2.64.133/32153.2.64.133 to 153.2.64.133—1
135153.2.64.134/32153.2.64.134 to 153.2.64.134—1
136153.2.64.135/32153.2.64.135 to 153.2.64.135—1
137153.2.64.136/32153.2.64.136 to 153.2.64.136—1
138153.2.64.137/32153.2.64.137 to 153.2.64.137—1
139153.2.64.138/32153.2.64.138 to 153.2.64.138—1
140153.2.64.139/32153.2.64.139 to 153.2.64.139—1
141153.2.64.140/32153.2.64.140 to 153.2.64.140—1
142153.2.64.141/32153.2.64.141 to 153.2.64.141—1
143153.2.64.142/32153.2.64.142 to 153.2.64.142—1
144153.2.64.143/32153.2.64.143 to 153.2.64.143—1
145153.2.64.144/32153.2.64.144 to 153.2.64.144—1
146153.2.64.145/32153.2.64.145 to 153.2.64.145—1
147153.2.64.146/32153.2.64.146 to 153.2.64.146—1
148153.2.64.147/32153.2.64.147 to 153.2.64.147—1
149153.2.64.148/32153.2.64.148 to 153.2.64.148—1
150153.2.64.149/32153.2.64.149 to 153.2.64.149—1
151153.2.64.150/32153.2.64.150 to 153.2.64.150—1
152153.2.64.151/32153.2.64.151 to 153.2.64.151—1
153153.2.64.152/32153.2.64.152 to 153.2.64.152—1
154153.2.64.153/32153.2.64.153 to 153.2.64.153—1
155153.2.64.154/32153.2.64.154 to 153.2.64.154—1
156153.2.64.155/32153.2.64.155 to 153.2.64.155—1
157153.2.64.156/32153.2.64.156 to 153.2.64.156—1
158153.2.64.157/32153.2.64.157 to 153.2.64.157—1
159153.2.64.158/32153.2.64.158 to 153.2.64.158—1
160153.2.64.159/32153.2.64.159 to 153.2.64.159—1
161153.2.64.160/32153.2.64.160 to 153.2.64.160—1
162153.2.64.161/32153.2.64.161 to 153.2.64.161—1
163153.2.64.162/32153.2.64.162 to 153.2.64.162—1
164153.2.64.163/32153.2.64.163 to 153.2.64.163—1
165153.2.64.164/32153.2.64.164 to 153.2.64.164—1
166153.2.64.165/32153.2.64.165 to 153.2.64.165—1
167153.2.64.166/32153.2.64.166 to 153.2.64.166—1
168153.2.64.167/32153.2.64.167 to 153.2.64.167—1
169153.2.64.168/32153.2.64.168 to 153.2.64.168—1
170153.2.64.169/32153.2.64.169 to 153.2.64.169—1
171153.2.64.170/32153.2.64.170 to 153.2.64.170—1
172153.2.64.171/32153.2.64.171 to 153.2.64.171—1
173153.2.64.172/32153.2.64.172 to 153.2.64.172—1
174153.2.64.173/32153.2.64.173 to 153.2.64.173—1
175153.2.64.174/32153.2.64.174 to 153.2.64.174—1
176153.2.64.175/32153.2.64.175 to 153.2.64.175—1
177153.2.64.176/32153.2.64.176 to 153.2.64.176—1
178153.2.64.177/32153.2.64.177 to 153.2.64.177—1
179153.2.64.178/32153.2.64.178 to 153.2.64.178—1
180153.2.64.179/32153.2.64.179 to 153.2.64.179—1
181153.2.64.180/32153.2.64.180 to 153.2.64.180—1
182153.2.64.181/32153.2.64.181 to 153.2.64.181—1
183153.2.64.182/32153.2.64.182 to 153.2.64.182—1
184153.2.64.183/32153.2.64.183 to 153.2.64.183—1
185153.2.64.184/32153.2.64.184 to 153.2.64.184—1
186153.2.64.185/32153.2.64.185 to 153.2.64.185—1
187153.2.64.186/32153.2.64.186 to 153.2.64.186—1
188153.2.64.187/32153.2.64.187 to 153.2.64.187—1
189153.2.64.188/32153.2.64.188 to 153.2.64.188—1
190153.2.64.189/32153.2.64.189 to 153.2.64.189—1
191153.2.64.190/32153.2.64.190 to 153.2.64.190—1
192153.2.64.191/32153.2.64.191 to 153.2.64.191—1
193153.2.64.192/32153.2.64.192 to 153.2.64.192—1
194153.2.64.193/32153.2.64.193 to 153.2.64.193—1
195153.2.64.194/32153.2.64.194 to 153.2.64.194—1
196153.2.64.195/32153.2.64.195 to 153.2.64.195—1
197153.2.64.196/32153.2.64.196 to 153.2.64.196—1
198153.2.64.197/32153.2.64.197 to 153.2.64.197—1
199153.2.64.198/32153.2.64.198 to 153.2.64.198—1
200153.2.64.199/32153.2.64.199 to 153.2.64.199—1
201153.2.64.200/32153.2.64.200 to 153.2.64.200—1
202153.2.64.201/32153.2.64.201 to 153.2.64.201—1
203153.2.64.202/32153.2.64.202 to 153.2.64.202—1
204153.2.64.203/32153.2.64.203 to 153.2.64.203—1
205153.2.64.204/32153.2.64.204 to 153.2.64.204—1
206153.2.64.205/32153.2.64.205 to 153.2.64.205—1
207153.2.64.206/32153.2.64.206 to 153.2.64.206—1
208153.2.64.207/32153.2.64.207 to 153.2.64.207—1
209153.2.64.208/32153.2.64.208 to 153.2.64.208—1
210153.2.64.209/32153.2.64.209 to 153.2.64.209—1
211153.2.64.210/32153.2.64.210 to 153.2.64.210—1
212153.2.64.211/32153.2.64.211 to 153.2.64.211—1
213153.2.64.212/32153.2.64.212 to 153.2.64.212—1
214153.2.64.213/32153.2.64.213 to 153.2.64.213—1
215153.2.64.214/32153.2.64.214 to 153.2.64.214—1
216153.2.64.215/32153.2.64.215 to 153.2.64.215—1
217153.2.64.216/32153.2.64.216 to 153.2.64.216—1
218153.2.64.217/32153.2.64.217 to 153.2.64.217—1
219153.2.64.218/32153.2.64.218 to 153.2.64.218—1
220153.2.64.219/32153.2.64.219 to 153.2.64.219—1
221153.2.64.220/32153.2.64.220 to 153.2.64.220—1
222153.2.64.221/32153.2.64.221 to 153.2.64.221—1
223153.2.64.222/32153.2.64.222 to 153.2.64.222—1
224153.2.64.223/32153.2.64.223 to 153.2.64.223—1
225153.2.64.224/32153.2.64.224 to 153.2.64.224—1
226153.2.64.225/32153.2.64.225 to 153.2.64.225—1
227153.2.64.226/32153.2.64.226 to 153.2.64.226—1
228153.2.64.227/32153.2.64.227 to 153.2.64.227—1
229153.2.64.228/32153.2.64.228 to 153.2.64.228—1
230153.2.64.229/32153.2.64.229 to 153.2.64.229—1
231153.2.64.230/32153.2.64.230 to 153.2.64.230—1
232153.2.64.231/32153.2.64.231 to 153.2.64.231—1
233153.2.64.232/32153.2.64.232 to 153.2.64.232—1
234153.2.64.233/32153.2.64.233 to 153.2.64.233—1
235153.2.64.234/32153.2.64.234 to 153.2.64.234—1
236153.2.64.235/32153.2.64.235 to 153.2.64.235—1
237153.2.64.236/32153.2.64.236 to 153.2.64.236—1
238153.2.64.237/32153.2.64.237 to 153.2.64.237—1
239153.2.64.238/32153.2.64.238 to 153.2.64.238—1
240153.2.64.239/32153.2.64.239 to 153.2.64.239—1
241153.2.64.240/32153.2.64.240 to 153.2.64.240—1
242153.2.64.241/32153.2.64.241 to 153.2.64.241—1
243153.2.64.242/32153.2.64.242 to 153.2.64.242—1
244153.2.64.243/32153.2.64.243 to 153.2.64.243—1
245153.2.64.244/32153.2.64.244 to 153.2.64.244—1
246153.2.64.245/32153.2.64.245 to 153.2.64.245—1
247153.2.64.246/32153.2.64.246 to 153.2.64.246—1
248153.2.64.247/32153.2.64.247 to 153.2.64.247—1
249153.2.64.248/32153.2.64.248 to 153.2.64.248—1
250153.2.64.249/32153.2.64.249 to 153.2.64.249—1
251153.2.64.250/32153.2.64.250 to 153.2.64.250—1
252153.2.64.251/32153.2.64.251 to 153.2.64.251—1
253153.2.64.252/32153.2.64.252 to 153.2.64.252—1
254153.2.64.253/32153.2.64.253 to 153.2.64.253—1
255153.2.64.254/32153.2.64.254 to 153.2.64.254—1
256153.2.64.255/32153.2.64.255 to 153.2.64.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses